Extensions
List extension tools
GET /v1/extensions · SDK listExtensionTools · CLI deployments extension list
GET
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListExtensionToolsResponse
application/json- response
items*array<>nextCursor*string|nullcurl -X GET "https://example.com/v1/extensions" \ -H "x-deployments-environment: string"{ "items": [ { "createdAt": "2019-08-24T14:15:22Z", "defaultPolicyAction": "allow", "description": "string", "effect": "execute", "execution": { "mcpServerId": "string", "remoteToolName": "string", "type": "mcp" }, "id": "string", "hasCallbackAuth": true, "inputSchema": { "property1": null, "property2": null }, "outputSchema": { "property1": null, "property2": null }, "name": "string", "providerKey": "string", "requiredScopes": [ "string" ], "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0 } ], "nextCursor": "string"}